com.lowagie.text.pdf.codec.wmf

## Class MetaDo

- java.lang.Object
- - com.lowagie.text.pdf.codec.wmf.MetaDo

-     public class MetaDo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `bottom`
    `PdfContentByte` | `cb`
    `InputMeta` | `in`
    `(package private) int` | `inch`
    `(package private) int` | `left`
    `static int` | `META_ANIMATEPALETTE`
    `static int` | `META_ARC`
    `static int` | `META_BITBLT`
    `static int` | `META_CHORD`
    `static int` | `META_CREATEBRUSHINDIRECT`
    `static int` | `META_CREATEFONTINDIRECT`
    `static int` | `META_CREATEPALETTE`
    `static int` | `META_CREATEPATTERNBRUSH`
    `static int` | `META_CREATEPENINDIRECT`
    `static int` | `META_CREATEREGION`
    `static int` | `META_DELETEOBJECT`
    `static int` | `META_DIBBITBLT`
    `static int` | `META_DIBCREATEPATTERNBRUSH`
    `static int` | `META_DIBSTRETCHBLT`
    `static int` | `META_ELLIPSE`
    `static int` | `META_ESCAPE`
    `static int` | `META_EXCLUDECLIPRECT`
    `static int` | `META_EXTFLOODFILL`
    `static int` | `META_EXTTEXTOUT`
    `static int` | `META_FILLREGION`
    `static int` | `META_FLOODFILL`
    `static int` | `META_FRAMEREGION`
    `static int` | `META_INTERSECTCLIPRECT`
    `static int` | `META_INVERTREGION`
    `static int` | `META_LINETO`
    `static int` | `META_MOVETO`
    `static int` | `META_OFFSETCLIPRGN`
    `static int` | `META_OFFSETVIEWPORTORG`
    `static int` | `META_OFFSETWINDOWORG`
    `static int` | `META_PAINTREGION`
    `static int` | `META_PATBLT`
    `static int` | `META_PIE`
    `static int` | `META_POLYGON`
    `static int` | `META_POLYLINE`
    `static int` | `META_POLYPOLYGON`
    `static int` | `META_REALIZEPALETTE`
    `static int` | `META_RECTANGLE`
    `static int` | `META_RESIZEPALETTE`
    `static int` | `META_RESTOREDC`
    `static int` | `META_ROUNDRECT`
    `static int` | `META_SAVEDC`
    `static int` | `META_SCALEVIEWPORTEXT`
    `static int` | `META_SCALEWINDOWEXT`
    `static int` | `META_SELECTCLIPREGION`
    `static int` | `META_SELECTOBJECT`
    `static int` | `META_SELECTPALETTE`
    `static int` | `META_SETBKCOLOR`
    `static int` | `META_SETBKMODE`
    `static int` | `META_SETDIBTODEV`
    `static int` | `META_SETMAPMODE`
    `static int` | `META_SETMAPPERFLAGS`
    `static int` | `META_SETPALENTRIES`
    `static int` | `META_SETPIXEL`
    `static int` | `META_SETPOLYFILLMODE`
    `static int` | `META_SETRELABS`
    `static int` | `META_SETROP2`
    `static int` | `META_SETSTRETCHBLTMODE`
    `static int` | `META_SETTEXTALIGN`
    `static int` | `META_SETTEXTCHAREXTRA`
    `static int` | `META_SETTEXTCOLOR`
    `static int` | `META_SETTEXTJUSTIFICATION`
    `static int` | `META_SETVIEWPORTEXT`
    `static int` | `META_SETVIEWPORTORG`
    `static int` | `META_SETWINDOWEXT`
    `static int` | `META_SETWINDOWORG`
    `static int` | `META_STRETCHBLT`
    `static int` | `META_STRETCHDIB`
    `static int` | `META_TEXTOUT`
    `(package private) int` | `right`
    `(package private) MetaState` | `state`
    `(package private) int` | `top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaDo(java.io.InputStream in, PdfContentByte cb)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static float` | `getArc(float xCenter, float yCenter, float xDot, float yDot)`
    `boolean` | `isNullStrokeFill(boolean isRectangle)`
    `void` | `outputText(int x, int y, int flag, int x1, int y1, int x2, int y2, java.lang.String text)`
    `void` | `readAll()`
    `void` | `strokeAndFill()`
    `static byte[]` | `wrapBMP(Image image)`
    `static void` | `writeDWord(java.io.OutputStream os, int v)`
    `static void` | `writeWord(java.io.OutputStream os, int v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### META_SETBKCOLOR

          public static final int META_SETBKCOLOR

      See Also:
        Constant Field Values

    - #### META_SETBKMODE

          public static final int META_SETBKMODE

      See Also:
        Constant Field Values

    - #### META_SETMAPMODE

          public static final int META_SETMAPMODE

      See Also:
        Constant Field Values

    - #### META_SETROP2

          public static final int META_SETROP2

      See Also:
        Constant Field Values

    - #### META_SETRELABS

          public static final int META_SETRELABS

      See Also:
        Constant Field Values

    - #### META_SETPOLYFILLMODE

          public static final int META_SETPOLYFILLMODE

      See Also:
        Constant Field Values

    - #### META_SETSTRETCHBLTMODE

          public static final int META_SETSTRETCHBLTMODE

      See Also:
        Constant Field Values

    - #### META_SETTEXTCHAREXTRA

          public static final int META_SETTEXTCHAREXTRA

      See Also:
        Constant Field Values

    - #### META_SETTEXTCOLOR

          public static final int META_SETTEXTCOLOR

      See Also:
        Constant Field Values

    - #### META_SETTEXTJUSTIFICATION

          public static final int META_SETTEXTJUSTIFICATION

      See Also:
        Constant Field Values

    - #### META_SETWINDOWORG

          public static final int META_SETWINDOWORG

      See Also:
        Constant Field Values

    - #### META_SETWINDOWEXT

          public static final int META_SETWINDOWEXT

      See Also:
        Constant Field Values

    - #### META_SETVIEWPORTORG

          public static final int META_SETVIEWPORTORG

      See Also:
        Constant Field Values

    - #### META_SETVIEWPORTEXT

          public static final int META_SETVIEWPORTEXT

      See Also:
        Constant Field Values

    - #### META_OFFSETWINDOWORG

          public static final int META_OFFSETWINDOWORG

      See Also:
        Constant Field Values

    - #### META_SCALEWINDOWEXT

          public static final int META_SCALEWINDOWEXT

      See Also:
        Constant Field Values

    - #### META_OFFSETVIEWPORTORG

          public static final int META_OFFSETVIEWPORTORG

      See Also:
        Constant Field Values

    - #### META_SCALEVIEWPORTEXT

          public static final int META_SCALEVIEWPORTEXT

      See Also:
        Constant Field Values

    - #### META_LINETO

          public static final int META_LINETO

      See Also:
        Constant Field Values

    - #### META_MOVETO

          public static final int META_MOVETO

      See Also:
        Constant Field Values

    - #### META_EXCLUDECLIPRECT

          public static final int META_EXCLUDECLIPRECT

      See Also:
        Constant Field Values

    - #### META_INTERSECTCLIPRECT

          public static final int META_INTERSECTCLIPRECT

      See Also:
        Constant Field Values

    - #### META_ARC

          public static final int META_ARC

      See Also:
        Constant Field Values

    - #### META_ELLIPSE

          public static final int META_ELLIPSE

      See Also:
        Constant Field Values

    - #### META_FLOODFILL

          public static final int META_FLOODFILL

      See Also:
        Constant Field Values

    - #### META_PIE

          public static final int META_PIE

      See Also:
        Constant Field Values

    - #### META_RECTANGLE

          public static final int META_RECTANGLE

      See Also:
        Constant Field Values

    - #### META_ROUNDRECT

          public static final int META_ROUNDRECT

      See Also:
        Constant Field Values

    - #### META_PATBLT

          public static final int META_PATBLT

      See Also:
        Constant Field Values

    - #### META_SAVEDC

          public static final int META_SAVEDC

      See Also:
        Constant Field Values

    - #### META_SETPIXEL

          public static final int META_SETPIXEL

      See Also:
        Constant Field Values

    - #### META_OFFSETCLIPRGN

          public static final int META_OFFSETCLIPRGN

      See Also:
        Constant Field Values

    - #### META_TEXTOUT

          public static final int META_TEXTOUT

      See Also:
        Constant Field Values

    - #### META_BITBLT

          public static final int META_BITBLT

      See Also:
        Constant Field Values

    - #### META_STRETCHBLT

          public static final int META_STRETCHBLT

      See Also:
        Constant Field Values

    - #### META_POLYGON

          public static final int META_POLYGON

      See Also:
        Constant Field Values

    - #### META_POLYLINE

          public static final int META_POLYLINE

      See Also:
        Constant Field Values

    - #### META_ESCAPE

          public static final int META_ESCAPE

      See Also:
        Constant Field Values

    - #### META_RESTOREDC

          public static final int META_RESTOREDC

      See Also:
        Constant Field Values

    - #### META_FILLREGION

          public static final int META_FILLREGION

      See Also:
        Constant Field Values

    - #### META_FRAMEREGION

          public static final int META_FRAMEREGION

      See Also:
        Constant Field Values

    - #### META_INVERTREGION

          public static final int META_INVERTREGION

      See Also:
        Constant Field Values

    - #### META_PAINTREGION

          public static final int META_PAINTREGION

      See Also:
        Constant Field Values

    - #### META_SELECTCLIPREGION

          public static final int META_SELECTCLIPREGION

      See Also:
        Constant Field Values

    - #### META_SELECTOBJECT

          public static final int META_SELECTOBJECT

      See Also:
        Constant Field Values

    - #### META_SETTEXTALIGN

          public static final int META_SETTEXTALIGN

      See Also:
        Constant Field Values

    - #### META_CHORD

          public static final int META_CHORD

      See Also:
        Constant Field Values

    - #### META_SETMAPPERFLAGS

          public static final int META_SETMAPPERFLAGS

      See Also:
        Constant Field Values

    - #### META_EXTTEXTOUT

          public static final int META_EXTTEXTOUT

      See Also:
        Constant Field Values

    - #### META_SETDIBTODEV

          public static final int META_SETDIBTODEV

      See Also:
        Constant Field Values

    - #### META_SELECTPALETTE

          public static final int META_SELECTPALETTE

      See Also:
        Constant Field Values

    - #### META_REALIZEPALETTE

          public static final int META_REALIZEPALETTE

      See Also:
        Constant Field Values

    - #### META_ANIMATEPALETTE

          public static final int META_ANIMATEPALETTE

      See Also:
        Constant Field Values

    - #### META_SETPALENTRIES

          public static final int META_SETPALENTRIES

      See Also:
        Constant Field Values

    - #### META_POLYPOLYGON

          public static final int META_POLYPOLYGON

      See Also:
        Constant Field Values

    - #### META_RESIZEPALETTE

          public static final int META_RESIZEPALETTE

      See Also:
        Constant Field Values

    - #### META_DIBBITBLT

          public static final int META_DIBBITBLT

      See Also:
        Constant Field Values

    - #### META_DIBSTRETCHBLT

          public static final int META_DIBSTRETCHBLT

      See Also:
        Constant Field Values

    - #### META_DIBCREATEPATTERNBRUSH

          public static final int META_DIBCREATEPATTERNBRUSH

      See Also:
        Constant Field Values

    - #### META_STRETCHDIB

          public static final int META_STRETCHDIB

      See Also:
        Constant Field Values

    - #### META_EXTFLOODFILL

          public static final int META_EXTFLOODFILL

      See Also:
        Constant Field Values

    - #### META_DELETEOBJECT

          public static final int META_DELETEOBJECT

      See Also:
        Constant Field Values

    - #### META_CREATEPALETTE

          public static final int META_CREATEPALETTE

      See Also:
        Constant Field Values

    - #### META_CREATEPATTERNBRUSH

          public static final int META_CREATEPATTERNBRUSH

      See Also:
        Constant Field Values

    - #### META_CREATEPENINDIRECT

          public static final int META_CREATEPENINDIRECT

      See Also:
        Constant Field Values

    - #### META_CREATEFONTINDIRECT

          public static final int META_CREATEFONTINDIRECT

      See Also:
        Constant Field Values

    - #### META_CREATEBRUSHINDIRECT

          public static final int META_CREATEBRUSHINDIRECT

      See Also:
        Constant Field Values

    - #### META_CREATEREGION

          public static final int META_CREATEREGION

      See Also:
        Constant Field Values

    - #### cb

          public PdfContentByte cb

    - #### in

          public InputMeta in

    - #### left

          int left

    - #### top

          int top

    - #### right

          int right

    - #### bottom

          int bottom

    - #### inch

          int inch

    - #### state

          MetaState state

  - ### Constructor Detail

    - #### MetaDo

          public MetaDo(java.io.InputStream in,
                PdfContentByte cb)

  - ### Method Detail

    - #### readAll

          public void readAll()
                       throws java.io.IOException,
                              DocumentException

      Throws:
        `java.io.IOException`
        `DocumentException`

    - #### outputText

          public void outputText(int x,
                        int y,
                        int flag,
                        int x1,
                        int y1,
                        int x2,
                        int y2,
                        java.lang.String text)

    - #### isNullStrokeFill

          public boolean isNullStrokeFill(boolean isRectangle)

    - #### strokeAndFill

          public void strokeAndFill()

    - #### getArc

          static float getArc(float xCenter,
                     float yCenter,
                     float xDot,
                     float yDot)

    - #### wrapBMP

          public static byte[] wrapBMP(Image image)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeWord

          public static void writeWord(java.io.OutputStream os,
                       int v)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeDWord

          public static void writeDWord(java.io.OutputStream os,
                        int v)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`